controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;


class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::class,
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::class,
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }

   
        

    public function actionPrueba()
    {
        return $this->render('prueba', [
            'valor' => 'aqui estoy'
        ]);
    }

    public function actionMensaje(){
        return $this->render('mostrarMensaje');
    }
    public function actionImagen(){
        return $this->render('imagen');
    }

    public function actionDias(){
        return $this->render('diasSemana');
    }

    public function actionMeses(){
        return $this->render('meses');
    }

    public function actionImagenes(){
        return $this->render('imagenes');
    }

    public function actionAccion1()
    {
        // recoge los datos del modelo o de un formulario
        // los trata
        // devolverle los resultados y/o datos a la vista

        $numero = 1;
        $numero1 = 2;
        $suma = $numero + $numero1;

        $datos = [1, 3, 5, 7, 9];
        $mayor = max($datos);

        $texto = "Ejemplo de clase";
        $e = substr_count(strtolower($texto), "e");
        return $this->render("accion1", [
            'numeros' => [$numero, $numero1],
            'suma' => $suma,
            'datos' => $datos,
            'mayor' => $mayor,
            'texto' => $texto,
            'ne' => $e
        ]);
    }

}

views/layouts/main.php
<?php

/** @var yii\web\View $this */
/** @var string $content */

use app\assets\AppAsset;
use app\widgets\Alert;
use yii\bootstrap5\Breadcrumbs;
use yii\bootstrap5\Html;
use yii\bootstrap5\Nav;
use yii\bootstrap5\NavBar;

AppAsset::register($this);

$this->registerCsrfMetaTags();
$this->registerMetaTag(['charset' => Yii::$app->charset], 'charset');
$this->registerMetaTag(['name' => 'viewport', 'content' => 'width=device-width, initial-scale=1, shrink-to-fit=no']);
$this->registerMetaTag(['name' => 'description', 'content' => $this->params['meta_description'] ?? '']);
$this->registerMetaTag(['name' => 'keywords', 'content' => $this->params['meta_keywords'] ?? '']);
$this->registerLinkTag(['rel' => 'icon', 'type' => 'image/x-icon', 'href' => Yii::getAlias('@web/favicon.ico')]);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>" class="h-100">
<head>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body class="d-flex flex-column h-100">
<?php $this->beginBody() ?>

<header id="header">
    <?php
    NavBar::begin([
        'brandLabel' => Yii::$app->name,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => ['class' => 'navbar-expand-md navbar-dark bg-dark fixed-top']
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav'],
        'items' => [
            ['label' => 'Home', 'url' => ['/site/index']],
            ['label' => 'Imagen', 'url' => ['/site/imagen']],
            ['label' => 'Prueba', 'url' => ['/site/prueba']],
            ['label' => 'Mensaje', 'url' => ['/site/mensaje']],
            ['label' => 'Dias de la semana', 'url' => ['/site/dias']],
            ['label' => 'Meses', 'url' => ['/site/meses']],
            ['label' => 'Cuatro Imagenes', 'url' => ['/site/imagenes']],
            ['label' => 'Varios', 'url' => ['/site/accion1']],
           
        ]
    ]);
    NavBar::end();
    ?>
</header>

<main id="main" class="flex-shrink-0" role="main">
    <div class="container">
        <?php if (!empty($this->params['breadcrumbs'])): ?>
            <?= Breadcrumbs::widget(['links' => $this->params['breadcrumbs']]) ?>
        <?php endif ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</main>

<footer id="footer" class="mt-auto py-3 bg-light">
    <div class="container">
        <div class="row text-muted">
            <div class="col-md-6 text-center text-md-start">&copy; My Company <?= date('Y') ?></div>
            <div class="col-md-6 text-center text-md-end"><?= Yii::powered() ?></div>
        </div>
    </div>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>

views/site/accion1.php
<?php

use yii\helpers\Html;

?>
<h2>Suma</h2>
<ul>
    <li><?= $numeros[0] ?></li>
    <li><?= $numeros[1] ?></li>
</ul>
<div>
    La suma es <?= $suma ?>
</div>

<?php
// utilizando helpers
echo Html::tag('h2', 'Suma');
echo Html::ul($numeros);
echo Html::tag('div', "La suma es {$suma}");

?>

<h2>Datos</h2>

<?= Html::ul($datos) ?>

<div>
    El numero mayor es <?= $mayor ?>
</div>


<h2> Numero de repeticiones de una vocal </h2>
<div>
    El texto es <?= $texto ?>
</div>

<div>
    El numero de veces que se repite la 'e' es <?= $ne ?>
</div>

views/site/diasSemana.php
<ul>
    <li>lunes</li>
    <li>martes</li>
    <li>miercoles</li>
    <li>jueves</li>
    <li>viernes</li>
    <li>sabado</li>
    <li>domingo</li>
</ul>

views/site/error.php
<?php

/** @var yii\web\View $this */
/** @var string $name */
/** @var string $message */
/** @var Exception$exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/imagen.php
<?php

use yii\helpers\Html;
?>

<h2>
    Imagen
</h2>
<br>
<?= Html::img('@web/imgs/elef.png', [ // ruta de la imagen
    // atributos del img
    'alt' => 'elefante',
    'class' => 'rounded img-thumbnail col-sm-2', 
]) ?>

views/site/imagenes.php
<?php

use yii\helpers\Html;
?>

<h2>
   Cuatro Imagenes
</h2>
<br>
<?= Html::img('@web/imgs/4_1.jpg', [ // ruta de la imagen
    // atributos del img
    'alt' => 'cuatro',
    'class' => 'rounded img-thumbnail col-sm-2', 
]) ?>

<br>
<?= Html::img('@web/imgs/flores.jpg', [ // ruta de la imagen
    // atributos del img
    'alt' => 'flores',
    'class' => 'rounded img-thumbnail col-sm-2', 
]) ?>

<br>


<br>
<?= Html::img('@web/imgs/gato.jpg', [ // ruta de la imagen
    // atributos del img
    'alt' => 'gato',
    'class' => 'rounded img-thumbnail col-sm-2', 
]) ?>

<br>


<?= Html::img('@web/imgs/eggs.jpg', [ // ruta de la imagen
    // atributos del img
    'alt' => 'huevos',
    'class' => 'rounded img-thumbnail col-sm-2', 
]) ?>

views/site/index.php
<?php

/** @var yii\web\View $this */

$this->title = 'Aplicacion 1 de clase';
?>
<div>
    <h1>Pagina de inicio</h1>
</div>

views/site/meses.php
<ul>
    <li>enero</li>
    <li>febrero</li>
    <li>marzo</li>
    <li>abril</li>
    <li>mayo</li>
    <li>junio</li>
    <li>julio</li>
    <li>agosto</li>
    <li>septiembre</li>
    <li>octubre</li>
    <li>noviembre</li>
    <li>diciembre</li>   
</ul>

views/site/mostrarMensaje.php
<h2>
    Esta vista nos muestra un mensaje
</h2>

<div>
    Hola
</div>

views/site/prueba.php
<h2><?= $valor ?></h2>